> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/event-subscriptions/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # List Event Subscriptions GET https://api.givechariot.com/v1/event_subscriptions List all event subscriptions corresponding to your Chariot account. Reference: https://docs.givechariot.com/api/event-subscriptions/list ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Request ### Query parameters - `limit` (integer, optional) — Limit the size of the list that is returned. The default (and maximum) is 100 objects. - `cursor` (string, optional) — The cursor to use for pagination. If not set, the first page of results will be returned. ## Response ### 200 The response for Events.list - `results` (list of EventSubscription, optional) - `nextPageToken` (string, optional) — A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server. ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 403 Forbidden Error Access denied - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Types ### EventSubscription Webhooks are event notifications we send to you by HTTPS POST requests. Event Subscriptions are how you configure your application to listen for them. - `url` (string, required) — The webhook url where we'll send notifications. - `id` (string, optional) — The unique identifier for the event subscription - `created_at` (datetime, optional) — The date and time the event subscription was created - `status` (enum, optional) — The status of the event subscription. This indicates if we'll send notifications to this subscription * active: subscription is active and events will be delivered normally * disabled: subscription is temporarily disabled and events will not be delivered * deleted: subscription has been deleted and events will not be delivered * requires_attention: subscription has been disabled due to delivery failures and events will not be delivered - Allowed values: `active`, `disabled`, `deleted`, `requires_attention` - `category` (enum, optional) — The category of the event. This is useful for filtering events. Event names follow the pattern `{resource}.{event_type}` where `event_type` is either `created` or `updated`. Status transitions (for example, a Donor Account moving to `approved` or `rejected`) are emitted as `{resource}.updated` events — fetch the object to read its current status. - Allowed values: `grant.created`, `grant.updated`, `unintegrated_grant.created`, `unintegrated_grant.updated`, `donor_account.created`, `donor_account.updated`, `authorization_token.created`, `authorization_token.updated`, `grant_request.created`, `grant_request.updated`, `disbursement.created`, `disbursement.updated`, `inbound_transfer.created`, `inbound_transfer.updated`, `donation.created`, `donation.updated`, `deposit.created`, `deposit.updated`, `verification_request.created`, `verification_request.updated` ## Examples **Response** ```json { "results": [ { "url": "https://example.com/webhook", "id": "4d06d393-1f14-46cf-b02d-8db17d7ed06a", "created_at": "2024-01-14T12:48:56.37Z", "status": "active", "category": "grant.created" } ], "nextPageToken": "string" } ```